version: 2
updates:
  - package-ecosystem: bundler
    directory: /
    schedule:
      interval: daily
    commit-message:
      trailers:
        - changelog: dependency
      trailers-development:
        - changelog: dev-dependency
      trailers-security:
        - changelog: security
    reviewers:
      - andrcuns
    ignore:
      - dependency-name: "sidekiq"
        update-types: ["version-update:semver-major"]
    auto-merge:
      ignore:
        - dependency-name: "*"
          update-types: ["version-update:semver-major"]
        - dependency-name: "dependabot-omnibus"
  - package-ecosystem: npm
    directory: /
    schedule:
      interval: weekly
    commit-message:
      trailers:
        - changelog: dev-dependency
    reviewers:
      - andrcuns
    auto-merge: true
  - package-ecosystem: terraform
    directory: /deploy
    schedule:
      interval: weekly
    commit-message:
      trailers:
        - changelog: deploy
    reviewers:
      - andrcuns
    auto-merge: true
